## TumblerThumbnailer

TumblerThumbnailer

## Functions

void | tumbler_thumbnailer_create ()
gchar ** | tumbler_thumbnailer_get_hash_keys ()
gchar ** | tumbler_thumbnailer_get_mime_types ()
gchar ** | tumbler_thumbnailer_get_uri_schemes ()
gint | tumbler_thumbnailer_get_priority ()
gint64 | tumbler_thumbnailer_get_max_file_size ()
gboolean | tumbler_thumbnailer_supports_location ()
gboolean | tumbler_thumbnailer_supports_hash_key ()
GList ** | tumbler_thumbnailer_array_copy ()
void | tumbler_thumbnailer_array_free ()

## Properties

gpointer | excludes | Read / Write
gpointer | hash-keys | Read / Write / Construct Only
gpointer | locations | Read / Write
gint64 | max-file-size | Read / Write
gpointer | mime-types | Read / Write / Construct Only
int | priority | Read / Write
gpointer | uri-schemes | Read / Write / Construct Only

## Signals

void | error | Run Last
void | ready | Run Last
void | unregister | No Hooks

## Types and Values

| TumblerThumbnailer
struct | TumblerThumbnailerInterface

## Object Hierarchy

        GInterface
        ╰── TumblerThumbnailer

## Prerequisites

TumblerThumbnailer requires GObject.

## Description

## Functions

### tumbler_thumbnailer_create ()

    void
    tumbler_thumbnailer_create (TumblerThumbnailer *thumbnailer,
                                GCancellable *cancellable,
                                TumblerFileInfo *info);

### tumbler_thumbnailer_get_hash_keys ()

    gchar **
    tumbler_thumbnailer_get_hash_keys (TumblerThumbnailer *thumbnailer);

### tumbler_thumbnailer_get_mime_types ()

    gchar **
    tumbler_thumbnailer_get_mime_types (TumblerThumbnailer *thumbnailer);

### tumbler_thumbnailer_get_uri_schemes ()

    gchar **
    tumbler_thumbnailer_get_uri_schemes (TumblerThumbnailer *thumbnailer);

### tumbler_thumbnailer_get_priority ()

    gint
    tumbler_thumbnailer_get_priority (TumblerThumbnailer *thumbnailer);

### tumbler_thumbnailer_get_max_file_size ()

    gint64
    tumbler_thumbnailer_get_max_file_size (TumblerThumbnailer *thumbnailer);

### tumbler_thumbnailer_supports_location ()

    gboolean
    tumbler_thumbnailer_supports_location (TumblerThumbnailer *thumbnailer,
                                           GFile *file);

### tumbler_thumbnailer_supports_hash_key ()

    gboolean
    tumbler_thumbnailer_supports_hash_key (TumblerThumbnailer *thumbnailer,
                                           const gchar *hash_key);

### tumbler_thumbnailer_array_copy ()

    GList **
    tumbler_thumbnailer_array_copy (GList **thumbnailers,
                                    guint length);

### tumbler_thumbnailer_array_free ()

    void
    tumbler_thumbnailer_array_free (GList **thumbnailers,
                                    guint length);

## Types and Values

### TumblerThumbnailer

    typedef struct _TumblerThumbnailer TumblerThumbnailer;

### struct TumblerThumbnailerInterface

    struct TumblerThumbnailerInterface {
      GTypeInterface __parent__;

      /* signals */
      void (*ready) (TumblerThumbnailer *thumbnailer,
                     const gchar *uri);
      void (*error) (TumblerThumbnailer *thumbnailer,
                     const gchar *failed_uri,
                     GQuark error_domain,
                     gint error_code,
                     const gchar *message);
      void (*unregister) (TumblerThumbnailer *thumbnailer);

      /* virtual methods */
      void (*create) (TumblerThumbnailer *thumbnailer,
                      GCancellable *cancellable,
                      TumblerFileInfo *info);
    };

## Property Details

### The `“excludes”` property

      “excludes”                 gpointer

excludes.

Owner: TumblerThumbnailer

Flags: Read / Write

### The `“hash-keys”` property

      “hash-keys”                gpointer

hash-keys.

Owner: TumblerThumbnailer

Flags: Read / Write / Construct Only

### The `“locations”` property

      “locations”                gpointer

locations.

Owner: TumblerThumbnailer

Flags: Read / Write

### The `“max-file-size”` property

      “max-file-size”            gint64

max-file-size.

Owner: TumblerThumbnailer

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“mime-types”` property

      “mime-types”               gpointer

mime-types.

Owner: TumblerThumbnailer

Flags: Read / Write / Construct Only

### The `“priority”` property

      “priority”                 int

priority.

Owner: TumblerThumbnailer

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“uri-schemes”` property

      “uri-schemes”              gpointer

uri-schemes.

Owner: TumblerThumbnailer

Flags: Read / Write / Construct Only

## Signal Details

### The `“error”` signal

    void
    user_function (TumblerThumbnailer *tumblerthumbnailer,
                   GObject            *arg1,
                   guint               arg2,
                   int                 arg3,
                   char               *arg4,
                   gpointer            user_data)

Flags: Run Last

### The `“ready”` signal

    void
    user_function (TumblerThumbnailer *tumblerthumbnailer,
                   GObject            *arg1,
                   gpointer            user_data)

Flags: Run Last

### The `“unregister”` signal

    void
    user_function (TumblerThumbnailer *tumblerthumbnailer,
                   gpointer            user_data)

Flags: No Hooks